Subject: Re: New version, when ?

From: [email-masked]
Date: Wed, 18 Apr 2001 01:20:29 +0400 (MSD)

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

nuqneH,

What's wrong with fwtk api and ideology? I always loved it..
Though it needs some work, i know.

> 
> 
> bah, someone should just develop a *NEW* set of proxy tools and scrap these
> ancient ones.

                                     _     _  _  _  _      _  _
 {::} {::} {::}  CU in Hell          _| o |_ | | _|| |   / _||_|   |_ |_ |_
 (##) (##) (##)        /Arkan#iD    |_  o  _||_| _||_| /   _|  | o |_||_||_|
 [||] [||] [||]            Do i believe in Bible? Hell,man,i've seen one!

---

From: [email-masked]
Date: Wed, 18 Apr 2001 14:09:50 +0400

-----BEGIN PGP SIGNED MESSAGE-----

nuqneH,

Darren Reed <[email-masked]> said :

> I cannot see the FWTK ever being "open source".  It was always felt as if it
> competed too well with the commercial product in various ways.

Yep, that's true.
 
> Time spent waiting is better spent coding something new than twiddling thumbs.

Why waiting? There are things to do anyways. f.e. the whole smap thing is
semi-broken (no flames please but small annoying bugs appear again and again),
authsrv needs improvement so much that rewrite is required and more..

We already do have numerous add-on proxies that can be run without a bit of TIS
code (i (with some help of Eberhard Mattes and other people) wrote a replacement
core library that implements 100% compatible API)
 
> That is if you want something GPL. 

I'd say i want something BSD. GPL is too restrictive ;)

> The problem, I suspect, with that is
> there are more people waiting to download, compile, install and build
> firewalls for others (charging $$) using a free product than there are
> capable people of coding it.  (So I'm a bit cynical...)

Yep. but those people may pay for support and sponsor development..
 
> The real problem with the FWTK api/design is it has been sitting in a
> virtual closet for how ever many years with little or no upkeep, etc.
> I'm sure even the original author would recommend 'start over' :)

The original API is pretty low-level, but the problem is close to be solved.
The design is still good, there are not many things changed since applictation
firewalls were invented.

> 
> Darren
> 
> In some email I received from [email-masked], sie wrote:
> > nuqneH,
> > 

                                     _     _  _  _  _      _  _

---

From: [email-masked]
Date: Thu, 19 Apr 2001 14:13:46 +0400

-----BEGIN PGP SIGNED MESSAGE-----

nuqneH,

I am not sure it is bad thing.

Michel Bardiaux <[email-masked]> said :
 
> [email-masked] wrote:
> Please consider LGPL. BSD has the (to me) extremely irritating feature
> that it allows proprietary, closed, *incompatible* derivatives.

                                     _     _  _  _  _      _  _